﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel.Web;
using System.ServiceModel;
using System.ServiceModel.Description;
using System.ServiceModel.Channels;

namespace DeliciousServer
{
	class Program
	{
		static void Main(string[] args)
		{
			string url = "http://delicious.net/recipes";

			CustomBinding binding = new CustomBinding();
			binding.OpenTimeout = TimeSpan.FromMinutes(5);
			binding.Elements.Add(new TextMessageEncodingBindingElement(MessageVersion.None, Encoding.Unicode));
			binding.Elements.Add(new HttpTransportBindingElement());

			using (ServiceHost host = new ServiceHost(typeof(DeliciousService)))
			{
				host.AddServiceEndpoint(typeof(IDeliciousService), binding, url);
				host.Open();

				Console.WriteLine("Delicious Service is up and running on: \n" + url);
				Console.ReadLine();
			}
		}
	}

}